pcl::PointWithRange Struct Reference
Module common

A point structure representing Euclidean xyz coordinates, padded with an extra range float. More...

`#include <pcl/impl/point_types.hpp>`

Inheritance diagram for pcl::PointWithRange:

## Public Member Functions

| PointWithRange (const _PointWithRange &p)
| PointWithRange (float _range=0.f)
| PointWithRange (float _x, float _y, float _z, float _range=0.f)

## Friends

std::ostream & | operator<< (std::ostream &os, const PointWithRange &p)

## Additional Inherited Members

Public Attributes inherited from pcl::_PointWithRange
| PCL_ADD_POINT4D
union {
struct {
float range
} |
float data_c [4]
}; |

## Detailed Description

A point structure representing Euclidean xyz coordinates, padded with an extra range float.

Definition at line 1203 of file point_types.hpp.

## Constructor & Destructor Documentation

## PointWithRange() [1/3]

pcl::PointWithRange::PointWithRange | ( | const _PointWithRange & | p | ) |

inline

Definition at line 1205 of file point_types.hpp.

References pcl::_PointWithRange::range.

## PointWithRange() [2/3]

pcl::PointWithRange::PointWithRange | ( | float | _range = `0.f` | ) |

inline

Definition at line 1211 of file point_types.hpp.

## PointWithRange() [3/3]

pcl::PointWithRange::PointWithRange | ( | float | _x,
|  | float | _y,
|  | float | _z,
|  | float | _range = `0.f`
| ) |  |

inline

Definition at line 1213 of file point_types.hpp.

References pcl::_PointWithRange::range.

## Friends And Related Function Documentation

## operator<<

std::ostream& operator<< | ( | std::ostream & | os,
|  | const PointWithRange & | p
| ) |  |

friend

The documentation for this struct was generated from the following file:

- pcl/impl/point_types.hpp